#include "BreakoutSplashScreenScene.h"

BreakoutSplashScreenScene::BreakoutSplashScreenScene()
: m_agsText(0), m_myName(0), m_loadingText(0)
{

}

BreakoutSplashScreenScene::~BreakoutSplashScreenScene()
{

}

void BreakoutSplashScreenScene::Initialise()
{
	m_agsText = Visualisation::getSingleton()->CreateSpriteText("AGS 2008", ColourRGB(255, 255, 255));
	m_myName = Visualisation::getSingleton()->CreateSpriteText("Billy Fletcher", ColourRGB(255,0,0));
	m_loadingText = Visualisation::getSingleton()->CreateSpriteText(". . . L O A D I N G . . .", ColourRGB(80,80,255));
}

void BreakoutSplashScreenScene::Draw()
{
	Visualisation::getSingleton()->ClearScreen();
	Visualisation::getSingleton()->DrawSprite(m_agsText, 128, 100);
	Visualisation::getSingleton()->DrawSprite(m_myName, 104, 120);
	Visualisation::getSingleton()->DrawSprite(m_loadingText, 64, 200);
}

void BreakoutSplashScreenScene::Update()
{
}

void BreakoutSplashScreenScene::Shutdown()
{
	Visualisation::getSingleton()->RemoveSprite(m_agsText);
	Visualisation::getSingleton()->RemoveSprite(m_myName);
	Visualisation::getSingleton()->RemoveSprite(m_loadingText);
}

void BreakoutSplashScreenScene::Activate()
{
	m_bIsActive = true;
}

void BreakoutSplashScreenScene::Deactivate()
{
	m_bIsActive = false;
}

bool BreakoutSplashScreenScene::HandleEvent(IEvent *pEvent)
{
	return false;
}
